#ifndef SRUNNABLE_H
#define SRUNNABLE_H

#include <QRunnable>
#include <QTcpSocket>

class SRunnable : public QRunnable
{
public:
    SRunnable(int _nSelect);
    ~SRunnable();
    void SetParam(QString _strParam,QStringList *_pstrOut) { m_strParam = _strParam;m_pstrOut = _pstrOut;}    
    QString m_strID;
    QStringList *m_pstrOut;
protected:
    void run();
private:
    int m_nSelect;
    QString m_strParam;
    void RunNaverNews();
    void RunDaumCafe();
};
#endif // SRUNNABLE_H
